﻿from microcontroleurs import arduino

#creation de la commuication avec la carte arduino
#le numero du port COM est à modifier
macarte = arduino("COM35")

#lecture de A0 variant de 0 à 1023
val = macarte.entree_analogique(0)

#convertit la plage 0-1023 en 0-5Volts
tension = val * 5 / 1023

#calcul la pression en hPa
pression = 498.6*tension + 116

#affichage de la pression dans la console
print("pression = ",pression," Hpa")

#arret de la communication avec la carte arduino
macarte.fermer()







