﻿import matplotlib.pyplot as plt
import numpy as np

#crée deux listes vides pour mettre les mesures
volume = [10,20,30,40,50,60]
invP = [1/1752,1/988,1/685,1/513,1/416,1/347]

#donne l'equation de la caractéristique
modele=np.polyfit(invP,volume,1)
print("volume = ",modele[0]," x 1/P + ",modele[1])

# trace la courbe volume en fonction de 1/P
plt.plot(invP,volume, marker="+")
plt.title("volume = f(1/P)")
plt.xlabel("1/P (hPa-1)")
plt.ylabel("Volume (cm3)")
plt.show()



