﻿import matplotlib.pyplot as plt
import numpy as np

#crée deux listes vides pour mettre les mesures
tension = [3.22,1.74,1.12,0.8,0.61,0.47]
pression = [1721,984,676,516,418,350]

#donne l'equation de la caractéristique
modele=np.polyfit(tension,pression,1)
print("pression = ",modele[0]," x tension + ",modele[1])

# trace la courbe pression en fonction de la tension
plt.plot(tension,pression, marker="+")
plt.title("pression = f(tension)")
plt.xlabel("Tension (V)")
plt.ylabel("Pression (hPa)")
plt.show()



