﻿import matplotlib.pyplot as plt
import numpy as np

#deux listes vides pour mettre les mesures
#separees par des virgules
tension = []
pression = []

#donne l'equation de la caractéristique
modele=np.polyfit(tension,pression,1)
print("pression = ",modele[0]," x tension + ",modele[1])

# trace la courbe pression en fonction de la tension
plt.plot(tension,pression, marker="+")
plt.title("pression = f(tension)")
plt.xlabel("Tension (V)")
plt.ylabel("Pression (hPa)")
plt.show()



